List Responses
curl --request GET \
--url https://server.promptwatch.com/api/v2/responses \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/responses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responses": [
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"content": "Illustrative snippet of model output…",
"model": "claude-sonnet-4-20250514",
"provider": "anthropic",
"visibilityScore": 65,
"sentimentScore": null,
"sentiment": "NEUTRAL",
"toneOfVoice": null,
"mentionedOurBrand": false,
"competitorMentions": [],
"citationCount": 0,
"prompt": {
"id": "6ba7b816-9dad-11d1-80b4-00c04fd430c8",
"prompt": "How do I export a weekly visibility report?",
"type": "BRAND_SPECIFIC",
"intent": "INFORMATIONAL",
"llmMonitor": {
"id": "6ba7b815-9dad-11d1-80b4-00c04fd430c8",
"name": "US English monitor"
}
},
"createdAt": "2026-03-28T10:00:00.000Z"
}
],
"total": 128,
"page": 1,
"size": 10,
"totalPages": 13
}Responses
List Responses
Get paginated list of responses with filtering options
GET
/
responses
List Responses
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Page number (1-based)
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Filter by monitor
Prompt identifier
Filter by specific models
Filter by sentiment
Available options:
POSITIVE, NEGATIVE, NEUTRAL Filter by whether the brand was mentioned
Filter by prompt type
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Filter by prompt topic IDs. Repeat for multiple: topicIds=x&topicIds=y
Filter responses created after this date
Filter responses created before this date
Field to sort by
Available options:
createdAt, visibilityScore, sentimentScore Sort order
Available options:
asc, desc